<div style="position: relative; overflow: hidden; height: 100%; background: blue;" (mousemove)="moveItem($event)"  >
    <div style="overflow: auto !important;height: 100%; background: red;">
        <table #basicTable [style.width.px]=" getTotalWidth()" >
                <thead >
                    <tr>
                        <ng-container *ngIf="selection">
                            <th #th id="select" [style.width.px]="selectWidth" class="header-sticky" style="left: 0; z-index: 2999">
                                select
                            </th>
                        </ng-container>
                        <ng-container *ngFor="let name of headerColDef">
                            <th id="{{name.id}}" (mousedown)="mouseDown($event, name)" (mouseup)="mouseUp(0,$event, name)"
                                [style.width]="name.displayParams.width" class="header-sticky" [class.header-sticky-left]="isSticky(name)">
                                {{name.displayName}}
                            </th>

                        </ng-container>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let data of displayedData">
                        <td *ngIf="selection" #td id="select" class="sticky" [style.left]="0">
                            <button (click)="select(data)"></button>
                        </td>
                        <td *ngFor="let name of headerColDef" id="{{data.displayName}}" (click)="select(data)" [class.sticky]="name.isSticky" [style.left]="name.displayParams.left">{{data.data[name.displayName]}}</td>
                    </tr>
                </tbody>
        </table>
    </div>

    <div id="followMouse" class="followMouseClass" *ngIf="isDraging" (mouseup)="mouseUp(2,$event)">
        {{colDraged.displayName}}
    </div>
    <div id="followToResize" *ngIf="isResizing" class="resize-trigger" (mouseup)="mouseUp(1,$event)"></div>
</div>
<!-- [class.sticky]="headerSticky(name, data)" -->